Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering
Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.SystemModule
Imports DevExpress.Persistent.Base.Security

Imports DevExpress.ExpressApp.ConditionalAppearance
Imports DevExpress.ExpressApp.Filtering

'<EditorStateRule("Hide DayOfExecutionInWeek", "DayOfExecutionInWeek", DevExpress.ExpressApp.ViewType.Any, criteria:="ActionFrequency In(0,2,3,4)", Description:="Des", EditorState:=ConditionalEditorState.EditorState.Hidden)> _
'<EditorStateRule("Hide DayOfExecution", "DayOfExecution", DevExpress.ExpressApp.ViewType.Any, criteria:="ActionFrequency In(0,1,3,4,5)", Description:="Des", EditorState:=ConditionalEditorState.EditorState.Hidden)> _

<Appearance("Hide DayOfExecutionInWeek", TargetItems:="DayOfExecutionInWeek", Criteria:="ActionFrequency In(0,2,3,4)", Visibility:=Editors.ViewItemVisibility.Hide, Context:="Any")> _
<Appearance("Hide DayOfExecution", TargetItems:="DayOfExecution", Criteria:="ActionFrequency In(0,1,3,4,5)", Visibility:=Editors.ViewItemVisibility.Hide, Context:="Any")> _
<NavigationItem(False), CreatableItem(False)> _
Public Class ContractRowsCloneView
    Inherits BaseObject
    Private _DayOfExecutionInWeek As eDayOfWeek ' A hét valamelyik napja (1..7) Forduló nap, ezen a napon lesz a szerződési sor teljesítési dátuma
    Private _DayOfExecution As eDayOfMonth ' A hónap valamelyik napja (1..31) Forduló nap, ezen a napon lesz a szerződési sor teljesítési dátuma
    Private _ActionCount As Long ' Hányszor csinálja meg
    Private _ActionFrequency As eActionFrequency ' A forduló időpontok intervalluma
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property DayOfExecutionInWeek As eDayOfWeek
        Get
            Return _DayOfExecutionInWeek
        End Get
        Set(ByVal value As eDayOfWeek)
            SetPropertyValue("DayOfExecutionInWeek", _DayOfExecutionInWeek, value)
        End Set
    End Property
    Property DayOfExecution As eDayOfMonth
        Get
            Return _DayOfExecution
        End Get
        Set(ByVal value As eDayOfMonth)
            SetPropertyValue("DayOfExecution", _DayOfExecution, value)
        End Set
    End Property
    Property ActionCount As Long
        Get
            Return _ActionCount
        End Get
        Set(ByVal value As Long)
            SetPropertyValue("ActionCount", _ActionCount, value)
        End Set
    End Property
    <ImmediatePostData()> _
    Property ActionFrequency As eActionFrequency
        Get
            Return _ActionFrequency
        End Get
        Set(ByVal value As eActionFrequency)
            SetPropertyValue("ActionFrequency", _ActionFrequency, value)
        End Set
    End Property
End Class


